# DisableNotification - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts.types / DisableNotification

# DisableNotification

(common) `interface DisableNotification` (source)

### Properties

(common)

#### disableNotification

`abstract val disableNotification: Boolean`

### Inheritors

(common)

#### PinChatMessage

`data class PinChatMessage : ChatRequest, SimpleRequest<Boolean>, MessageAction, DisableNotification`

(common)

#### SendDice

`data class SendDice : ReplyingMarkupSendMessageRequest<ContentMessage<DiceContent>>, ReplyMessageId, DisableNotification`

(common)

#### SendInvoice

`data class SendInvoice : Currencied, Priced, ChatRequest, DisableNotification, ReplyMessageId, ReplyMarkup, SendMessageRequest<ContentMessage<InvoiceContent>>`

(common)

#### SendMessageRequest

`interface SendMessageRequest<T : Any> : SendChatMessageRequest<T>, ReplyMessageId, DisableNotification`